from datetime import datetime
from uuid import UUID

from sqlalchemy import ForeignKey
from sqlalchemy.orm import Mapped, mapped_column

from src.core.database import Base



class TgMessage(Base):
    __tablename__ = 'tg_messages'

    text: Mapped[str]
    message_time: Mapped[datetime]
    user_id: Mapped[int] = mapped_column(
        ForeignKey("users.id"),
    )
    chat_id: Mapped[int] = mapped_column(
        ForeignKey("tgchats.id"),
    )
    slice_id: Mapped[UUID]
